import { Component, OnInit } from '@angular/core';
import { ShoutboxDataService } from './services/ShoutboxData.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
})
export class AppComponent implements OnInit{
  title = 'httXrp';
  shouts: any[] = []
  sending = false
  newShout = {
    title: "",
    body: "",
    from: ""
  }

  constructor(
    private dataService: ShoutboxDataService
  ){}

  submitShout = () => {
    this.sending = true
    this.dataService.submitShout(this.newShout)
    .then(() => {
      this.newShout = {
        title: "",
        body: "",
        from: ""
      }
    })
    .finally(() => {
      this.sending = false
    })
  }

  ngOnInit(){
    this.shouts = this.dataService.history
  }
}
