import { APP_INITIALIZER, NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { CdsModule } from '@cds/angular';
import { ClarityModule } from '@clr/angular';

import { ClarityIcons, homeIcon } from '@cds/core/icon';
import { ShoutboxDataService, initShoutboxSvc } from './services/ShoutboxData.service';
import { FormsModule } from '@angular/forms';

@NgModule({
  declarations: [AppComponent],
  imports: [
    BrowserModule, 
    AppRoutingModule, 
    ClarityModule, 
    CdsModule,
    FormsModule
  ],
  providers: [
    ShoutboxDataService,
    {
      provide: APP_INITIALIZER,
      useFactory: initShoutboxSvc,
      deps: [ShoutboxDataService],
      multi: true
    }
  ],
  bootstrap: [AppComponent],
})
export class AppModule {
  constructor() {
    ClarityIcons.addIcons(homeIcon);
  }
}
